#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# packagesync.py - sync installed packages across several computers.
#
# Copyright 2010 Duane Hinnen
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
#
''' docs
'''
import pygtk
pygtk.require('2.0')
import gtk
from db import Database
# NameError: global name 'Stipple' is not defined (line 46). BUt uncommenting the line below causes another error.


class Window:
    a,b,c,d = 0,0,0,0
    def callback1(self, widget, data=None):
       # print "%s was toggled %s" % (data, ("OFF", "ON")[widget.get_active()])
        Window.a = (1, 2)[widget.get_active()]
        print Window.a
    def callback2(self, widget, data=None):
        Window.b = (1, 2)[widget.get_active()]
        print Window.b
    def callback3(self, widget, data=None):
        Window.c = (1, 2)[widget.get_active()]
        print Window.c
    def callback4(self, widget, data=None):
        Window.d = (1, 2)[widget.get_active()]
        print Window.d

    def run(self, widget, data=None):
        from app import Stipple
        print "hello"
        save = Database()
        restore = Stipple()
        if Window.a == 2:
            print "making database1"
            save.makeDB()
        if Window.b == 2:
            print "making database2"
            save.search()
        if Window.c == 2:
            print "making database3"
            restore.UseSettings()
        if Window.d == 2:
            print "making database4"
            restore.UseConfig()
        else:
            pass

    def delete_event(self, widget, event, data=None):
        gtk.main_quit()
        return False
        
    def __init__(self):
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
        self.window.connect("delete_event", self.delete_event)
        self.window.set_border_width(20)
        vbox = gtk.VBox(True, 2)
        self.window.add(vbox)
        ## 1st Button ##
        button = gtk.CheckButton("sync packages")
        button.connect("toggled", self.callback1, "sync packages")
        vbox.pack_start(button, True, True, 0)
        button.show()
        ## 2nd Button ##
        button = gtk.CheckButton("sync config files")
        button.connect("toggled", self.callback2, "sync config files")
        vbox.pack_start(button, True, True, 0)
        button.show()
        ## 3rd Button ##
        button = gtk.CheckButton("restore packages")
        button.connect("toggled", self.callback3, "restore packages")
        vbox.pack_start(button, True, True, 0)
        button.show()
        ## 4th Button ##
        button = gtk.CheckButton("restore config files")
        button.connect("toggled", self.callback4, "restore config files")
        vbox.pack_start(button, True, True, 0)
        button.show()
        
        ##Run Command Button ##
        button = gtk.Button("Run")
        button.connect("clicked", self.run)
        vbox.pack_start(button, True, True, 0)
        button.show()
        ## Quit Button ##
        button = gtk.Button("Quit")
        button.connect("clicked", lambda wid: gtk.main_quit())
        vbox.pack_start(button, True, True, 2)
        button.show()

        vbox.show()
        self.window.show()

    def main(self):
        gtk.main()

if __name__ == "__main__":
    print __doc__
