import os
from core.stipple import PluginBase
HOME_DIR = os.path.expanduser("~")
EMACS_CONFIG = HOME_DIR + "/.emacsrc"
EMACS_DIR = HOME_DIR + "/.emacs"

class Plugin(PluginBase):
    """
    It's blah
    """
    def __init__(self):
        self.name = "Emacs"
        self.prog_name = "emacs"
        self.record_name = self.name.lower()    
    
    def sync(self):
        """It must be installed"""
        with open(EMACS_CONFIG, "r") as vim:
            vr = vim.read()
        vim.close()
        self.saveDotFile(vr)
        self.attachDirectory(EMACS_DIR)
        return True
    
    def restore(self):
        self.recoverDotFile(EMACS_CONFIG)
        self.recoverDirectory(EMACS_DIR)
        return True