#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""DocString

DocString Paragraph

"""

__version__ = "$Revision$"

import os
from core.stipple import PluginBase

ZSH_CONFIG = os.path.expanduser("~") + "/.zshrc"

class Plugin(PluginBase):
    def __init__(self):
        self.name = "Zsh"
        self.prog_name = "zsh"
        self.record_name = "zsh" 
        self.icon = None

    def sync(self):
            with open(ZSH_CONFIG, 'r') as zsh:
                zr = zsh.read()
            zsh.close()
            self.saveDotFile(zr)
            return True

    def restore(self):
        self.recoverDotFile(ZSH_CONFIG)
        return True