#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""DocString

DocString Paragraph

"""
import os

BASH_CONFIG = os.path.expanduser("~") + "/.bashrc"

class Plugin(PluginBase):
    
    def __init__ (self):
        self.name = "Bash"
        self.prog_name = "bash"
        self.icon = None

    
    def sync(self):
        with open(BASH_CONFIG, "r") as bash:
            br = bash.read()
        bash.close()
        self.saveDotFile(br)
        return True

    def restore(self):
        self.recoverDotFile(BASH_CONFIG)
        return True